CFMutableString Reference

## Detailed Description

## Typedefs

typedef struct __CFString * | CFMutableStringRef

## Enumerations

enum | CFStringNormalizationForm { kCFStringNormalizationFormD = 0 , kCFStringNormalizationFormKD = 1 , kCFStringNormalizationFormC = 2 , kCFStringNormalizationFormKC = 3 }

## Functions

void | CFStringAppend (CFMutableStringRef theString, CFStringRef appendedString)
void | CFStringAppendCharacters (CFMutableStringRef theString, const UniChar *chars, CFIndex numChars)
void | CFStringAppendCString (CFMutableStringRef theString, const char *cStr, CFStringEncoding encoding)
void | CFStringAppendFormat (CFMutableStringRef theString, CFDictionaryRef formatOptions, CFStringRef format,...)
void | CFStringAppendFormatAndArguments (CFMutableStringRef theString, CFDictionaryRef formatOptions, CFStringRef format, va_list arguments)
void | CFStringAppendPascalString (CFMutableStringRef theString, ConstStr255Param pStr, CFStringEncoding encoding)
void | CFStringCapitalize (CFMutableStringRef theString, CFLocaleRef locale)
CFMutableStringRef | CFStringCreateMutable (CFAllocatorRef alloc, CFIndex maxLength)
CFMutableStringRef | CFStringCreateMutableCopy (CFAllocatorRef alloc, CFIndex maxLength, CFStringRef theString)
CFMutableStringRef | CFStringCreateMutableWithExternalCharactersNoCopy (CFAllocatorRef alloc, UniChar *chars, CFIndex numChars, CFIndex capacity, CFAllocatorRef externalCharactersAllocator)
void | CFStringDelete (CFMutableStringRef theString, CFRange range)
void | CFStringInsert (CFMutableStringRef str, CFIndex idx, CFStringRef insertedStr)
void | CFStringLowercase (CFMutableStringRef theString, CFLocaleRef locale)
void | CFStringPad (CFMutableStringRef theString, CFStringRef padString, CFIndex length, CFIndex indexIntoPad)
void | CFStringReplace (CFMutableStringRef theString, CFRange range, CFStringRef replacement)
void | CFStringReplaceAll (CFMutableStringRef theString, CFStringRef replacement)
void | CFStringSetExternalCharactersNoCopy (CFMutableStringRef theString, UniChar *chars, CFIndex length, CFIndex capacity)
void | CFStringTrim (CFMutableStringRef theString, CFStringRef trimString)
void | CFStringTrimWhitespace (CFMutableStringRef theString)
void | CFStringUppercase (CFMutableStringRef theString, CFLocaleRef locale)
CFIndex | CFStringFindAndReplace (CFMutableStringRef theString, CFStringRef stringToFind, CFStringRef replacementString, CFRange rangeToSearch, CFOptionFlags compareOptions)
void | CFStringNormalize (CFMutableStringRef theString, CFStringNormalizationForm theForm)
Boolean | CFStringTransform (CFMutableStringRef string, CFRange *range, CFStringRef transform, Boolean reverse)
void | CFStringFold (CFMutableStringRef theString, CFOptionFlags theFlags, CFLocaleRef theLocale)

## Variables

const CFStringRef | kCFStringTransformStripCombiningMarks
const CFStringRef | kCFStringTransformToLatin
const CFStringRef | kCFStringTransformFullwidthHalfwidth
const CFStringRef | kCFStringTransformLatinKatakana
const CFStringRef | kCFStringTransformLatinHiragana
const CFStringRef | kCFStringTransformHiraganaKatakana
const CFStringRef | kCFStringTransformMandarinLatin
const CFStringRef | kCFStringTransformLatinHangul
const CFStringRef | kCFStringTransformLatinArabic
const CFStringRef | kCFStringTransformLatinHebrew
const CFStringRef | kCFStringTransformLatinThai
const CFStringRef | kCFStringTransformLatinCyrillic
const CFStringRef | kCFStringTransformLatinGreek
const CFStringRef | kCFStringTransformToXMLHex
const CFStringRef | kCFStringTransformToUnicodeName
const CFStringRef | kCFStringTransformStripDiacritics